Package com.xebialabs.xlrelease.domain.runner

# Class ActiveRunnerDefaultConfigurationSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.domain.runner.ActiveRunnerDefaultConfigurationSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class ActiveRunnerDefaultConfigurationSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActiveRunnerDefaultConfigurationSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RunnerDefaultConfigurationSettings`
  `getSettings()`
  `void`
  `setSettings(RunnerDefaultConfigurationSettings x$1)`
  `RunnerDefaultConfigurationSettings`
  `settings()`
  `void`
  `settings_$eq(RunnerDefaultConfigurationSettings x$1)`
  `static String`
  `SETTINGS_ID()`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, getTitle, hasId, isSupportedOn, setCiUid, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActiveRunnerDefaultConfigurationSettings

    public ActiveRunnerDefaultConfigurationSettings()

- ## Method Details

  - ### SETTINGS_ID

    public static String SETTINGS_ID()

  - ### settings

    public RunnerDefaultConfigurationSettings settings()

  - ### settings_$eq

    public void settings_$eq(RunnerDefaultConfigurationSettings x$1)

  - ### getSettings

    public RunnerDefaultConfigurationSettings getSettings()

  - ### setSettings

    public void setSettings(RunnerDefaultConfigurationSettings x$1)